summaryrefslogtreecommitdiffstats
path: root/source/ap/lsof/lsof.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/lsof/lsof.SlackBuild')
-rwxr-xr-xsource/ap/lsof/lsof.SlackBuild23
1 files changed, 16 insertions, 7 deletions
diff --git a/source/ap/lsof/lsof.SlackBuild b/source/ap/lsof/lsof.SlackBuild
index 0ba128d4e..4320a1fa5 100755
--- a/source/ap/lsof/lsof.SlackBuild
+++ b/source/ap/lsof/lsof.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
-VERSION=${VERSION:-$(echo lsof_*.tar.bz2 | rev | cut -f 3- -d . | cut -f 1 -d _ | rev)}
-BUILD=${BUILD:-1}
+PKGNAM=lsof
+VERSION=${VERSION:-$(echo lsof_*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d _ | rev)}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -34,7 +36,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-lsof
@@ -43,7 +52,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf lsof_$VERSION
-tar xjvf $CWD/lsof_$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/lsof_$VERSION.tar.?z || exit 1
cd lsof_$VERSION || exit 1
tar xvf lsof_${VERSION}_src.tar || exit 1
cd lsof_${VERSION}_src || exit 1
@@ -56,7 +65,7 @@ find . \
-exec chmod 644 {} \;
echo n | ./Configure linux
-make
+make || exit 1
strip lsof
mkdir -p $PKG/usr/bin
cat lsof > $PKG/usr/bin/lsof